Request

Response

    Get a User Account
    GET

    users/{id}/accounts/{authType}

    Retrieves user account information for a specific type.

    Resource Information

    Method and URI
    GET
    /AutodeskDM/Services/api/vault/v2/users/{id}/accounts/{authType}
    Authentication Context
    User context required
    Required OAuth Scopes
    No scopes required
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    * Required

    Request

    URI Parameters

    id
    string
    The unique identifier of a user.
    authType
    enum:string
    The account type to retrieve. Possible values:
    • ActiveDirectory - The account is backed by Active Directory.
    • Vault - The account is backed by Vault.
    • Autodesk - The account is backed by Autodesk ID.

    Response

    HTTP Status Code Summary

    200
    OK
    The user account details were successfully retrieved.
    400
    Bad Request
    The user identifier in the request is missing or not valid. Verify the id URI parameter and try again.
    401
    Unauthorized
    The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again.
    403
    Forbidden
    The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again.
    404
    Not Found
    The requested resource was not found.

    Response

    Body Structure (200)

    id
    string
    The unique identifier of the account.
    accountName
    string
    The name of the account for signin purposes.
    accountEmail
    string
    The email associated with the account.
    isActive
    boolean
    true: The account is active (enabled).

    false: The account is inactive (disabled).

    url
    string
    The relative URL to access this object.

    Example

    This example illustrates how to get an user account by its account type.

    Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:

    • Vault Server IP address or hostname. Ex: http://10.41.110.49.
    • Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.

    Request

    curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/users/13/accounts/Vault' \
      -X 'GET' \
      -H 'Accept: application/json'\
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a...'
    

    Response

    {
      "id": "Vault",
      "accountName": "Polly Purchase",
      "isActive": true,
      "url": "/AutodeskDM/Services/api/vault/v2/users/13/accounts/Vault"
    }